<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::Mle::AddressRegistrationEntry Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ab0019545790afaa56d4f39486833b9e1">GetContextId</a>(void) const </td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a0db51d67c216b4df797e21cd5e76ed20">GetIid</a>(void) const </td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ac1a8321b4ed0f954cd1790397542ab03">GetIp6Address</a>(void) const </td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a39276c30327ff9905f0dfdf43628ded1">GetLength</a>(void) const </td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a71772ad3182275186cb911578c30c614">IsCompressed</a>(void) const </td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mIid</b> (defined in <a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a>)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mIp6Address</b> (defined in <a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a>)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#acc68cf4111904aca1997c4d99847e733">SetContextId</a>(uint8_t aContextId)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#ad690b0bb8eb77e3850fc6161f3d57a2d">SetIid</a>(const uint8_t *aIid)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a3421311501c4c047f7d74dff4dbc3beb">SetIp6Address</a>(const Ip6::Address &amp;aAddress)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html#a5a6b0fd53d79de1ce334f41af004335a">SetUncompressed</a>(void)</td><td class="entry"><a class="el" href="../../df/d6c/classThread_1_1Mle_1_1AddressRegistrationEntry.html">Thread::Mle::AddressRegistrationEntry</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
